require_relative 'auditable'

module StudioGame

    class Die
        include Auditable   #make sure its capitalized

        attr_reader :number  #getter

        def roll       #method that rolls the die
            @number = rand(1..6)   # gets a random number between 1-6 inclusive
            audit     #method from the mixin auditable.rb
            @number   #returns number on die
        end
    end 
end
